org.keycloak.models

## Class IdentityProviderModel

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    OAuth2IdentityProviderConfig, SAMLIdentityProviderConfig

      public class IdentityProviderModel
      extends Object
      implements Serializable

  A model type representing the configuration for identity providers. It provides some common properties and also a `config` for configuration options and properties specifics to a identity provider.

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `addReadTokenRoleOnCreate`
    `static String` | `ALLOWED_CLOCK_SKEW`
    `static String` | `HIDE_ON_LOGIN`
    `protected boolean` | `linkOnly`
    `static String` | `LOGIN_HINT`
    `static String` | `SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderModel()`
    `IdentityProviderModel(IdentityProviderModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Map<String,String>` | `getConfig()`
    `String` | `getDisplayName()`
    `String` | `getFirstBrokerLoginFlowId()`
    `String` | `getInternalId()`
    `String` | `getPostBrokerLoginFlowId()`
    `String` | `getProviderId()`
    `IdentityProviderSyncMode` | `getSyncMode()`
    `boolean` | `isAddReadTokenRoleOnCreate()`
    `boolean` | `isAuthenticateByDefault()` Deprecated.
    `boolean` | `isEnabled()`
    `boolean` | `isHideOnLogin()`
    `boolean` | `isLinkOnly()`
    `boolean` | `isLoginHint()`
    `boolean` | `isStoreToken()`
    `boolean` | `isTrustEmail()`
    `void` | `setAddReadTokenRoleOnCreate(boolean addReadTokenRoleOnCreate)`
    `void` | `setAlias(String id)`
    `void` | `setAuthenticateByDefault(boolean authenticateByDefault)` Deprecated.
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFirstBrokerLoginFlowId(String firstBrokerLoginFlowId)`
    `void` | `setHideOnLogin(boolean hideOnLogin)`
    `void` | `setInternalId(String internalId)`
    `void` | `setLinkOnly(boolean linkOnly)`
    `void` | `setLoginHint(boolean loginHint)`
    `void` | `setPostBrokerLoginFlowId(String postBrokerLoginFlowId)`
    `void` | `setProviderId(String providerId)`
    `void` | `setStoreToken(boolean storeToken)`
    `void` | `setSyncMode(IdentityProviderSyncMode syncMode)`
    `void` | `setTrustEmail(boolean trustEmail)`
    `void` | `validate(RealmModel realm)` Validates this configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOWED_CLOCK_SKEW

          public static final String ALLOWED_CLOCK_SKEW

      See Also:
        Constant Field Values

    - #### LOGIN_HINT

          public static final String LOGIN_HINT

      See Also:
        Constant Field Values

    - #### SYNC_MODE

          public static final String SYNC_MODE

      See Also:
        Constant Field Values

    - #### HIDE_ON_LOGIN

          public static final String HIDE_ON_LOGIN

      See Also:
        Constant Field Values

    - #### addReadTokenRoleOnCreate

          protected boolean addReadTokenRoleOnCreate

    - #### linkOnly

          protected boolean linkOnly

  - ### Constructor Detail

    - #### IdentityProviderModel

          public IdentityProviderModel()

    - #### IdentityProviderModel

          public IdentityProviderModel(IdentityProviderModel model)

  - ### Method Detail

    - #### getInternalId

          public String getInternalId()

    - #### setInternalId

          public void setInternalId(String internalId)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String id)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isStoreToken

          public boolean isStoreToken()

    - #### setStoreToken

          public void setStoreToken(boolean storeToken)

    - #### isLinkOnly

          public boolean isLinkOnly()

    - #### setLinkOnly

          public void setLinkOnly(boolean linkOnly)

    - #### isAuthenticateByDefault

          @Deprecated
          public boolean isAuthenticateByDefault()

      Deprecated.

    - #### setAuthenticateByDefault

          @Deprecated
          public void setAuthenticateByDefault(boolean authenticateByDefault)

      Deprecated.

    - #### getFirstBrokerLoginFlowId

          public String getFirstBrokerLoginFlowId()

    - #### setFirstBrokerLoginFlowId

          public void setFirstBrokerLoginFlowId(String firstBrokerLoginFlowId)

    - #### getPostBrokerLoginFlowId

          public String getPostBrokerLoginFlowId()

    - #### setPostBrokerLoginFlowId

          public void setPostBrokerLoginFlowId(String postBrokerLoginFlowId)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### isAddReadTokenRoleOnCreate

          public boolean isAddReadTokenRoleOnCreate()

    - #### setAddReadTokenRoleOnCreate

          public void setAddReadTokenRoleOnCreate(boolean addReadTokenRoleOnCreate)

    - #### isTrustEmail

          public boolean isTrustEmail()

    - #### setTrustEmail

          public void setTrustEmail(boolean trustEmail)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### validate

          public void validate(RealmModel realm)

      Validates this configuration.

      Sub-classes can override this method in order to enforce provider specific validations.

      Parameters:
        `realm` - the realm

    - #### getSyncMode

          public IdentityProviderSyncMode getSyncMode()

    - #### setSyncMode

          public void setSyncMode(IdentityProviderSyncMode syncMode)

    - #### isLoginHint

          public boolean isLoginHint()

    - #### setLoginHint

          public void setLoginHint(boolean loginHint)

    - #### isHideOnLogin

          public boolean isHideOnLogin()

    - #### setHideOnLogin

          public void setHideOnLogin(boolean hideOnLogin)

Copyright © 2020 JBoss by Red Hat. All rights reserved.